Name: libfoil

Version: 1.0.25
Release: 1.20221009git03c4ea7
Summary: Yet another glib-style crypto API
Group: Development/Libraries
License: BSD
Vendor: slava
URL: https://github.com/monich/foil
Source: %{name}-%{version}.tar.bz2

%define glib_version 2.36
%define libglibutil_version 1.0.24
%define libglibutil_build_version 1.0.54

BuildRequires: file-devel
BuildRequires: pkgconfig
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(glib-2.0) >= %{glib_version}
BuildRequires: pkgconfig(libglibutil) >= %{libglibutil_build_version}
Requires: glib2 >= %{glib_version}
Requires: libglibutil >= %{libglibutil_version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Provides glib based cryptography API.

%package devel
Summary: Development library for %{name}
Requires: %{name} = %{version}
Requires: pkgconfig(libglibutil) >= %{libglibutil_build_version}

%description devel
This package contains the development library for %{name}.

%package -n foil-tools
Summary: Encryption/decryption utilities
Group: Applications/File
Requires: libfoil >= 1.0.13

%description -n foil-tools
Command line encryption/decryption utilities.

%prep
%setup -q

%build
make -C libfoil LIBDIR=%{_libdir} KEEP_SYMBOLS=1 release pkgconfig
make -C tools  LIBDIR=%{_libdir} KEEP_SYMBOLS=1 release

%install
rm -rf %{buildroot}
make -C libfoil DESTDIR=%{buildroot} LIBDIR=%{_libdir} install-dev
make -C tools DESTDIR=%{buildroot} install

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}.so
%{_includedir}/foil/*.h

%files -n foil-tools
%defattr(-,root,root,-)
%{_bindir}/foilmsg
%{_bindir}/foilpng
